Package com.io7m.idstore.shell.admin.internal

# Class IdAShellCmdAdminEmailAdd

java.lang.Object
com.io7m.idstore.shell.admin.internal.IdAShellCmdAbstract
com.io7m.idstore.shell.admin.internal.IdAShellCmdAbstractCR<IdACommandAdminEmailAdd,IdAResponseAdminUpdate>
com.io7m.idstore.shell.admin.internal.IdAShellCmdAdminEmailAdd

All Implemented Interfaces:
  `IdAShellCmdType`, `com.io7m.quarrel.core.QCommandOrGroupType`, `com.io7m.quarrel.core.QCommandType`

public final class IdAShellCmdAdminEmailAdd extends IdAShellCmdAbstractCR<IdACommandAdminEmailAdd,IdAResponseAdminUpdate>
"admin-email-add"

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdAShellCmdAdminEmailAdd(com.io7m.repetoir.core.RPServiceDirectoryType inServices)`
  Construct a command.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected IdACommandAdminEmailAdd`
  `onCreateCommand(com.io7m.quarrel.core.QCommandContextType context)`
  `protected void`
  `onFormatResponse(com.io7m.quarrel.core.QCommandContextType context, IdAResponseAdminUpdate response)`
  `List<com.io7m.quarrel.core.QParameterNamedType<?>>`
  `onListNamedParameters()`

  ### Methods inherited from class com.io7m.idstore.shell.admin.internal.IdAShellCmdAbstractCR

  `onExecute`

  ### Methods inherited from class com.io7m.idstore.shell.admin.internal.IdAShellCmdAbstract

  `client, completer, formatter, metadata, options, services, terminal, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.io7m.quarrel.core.QCommandOrGroupType

  `isHidden`

  ### Methods inherited from interface com.io7m.quarrel.core.QCommandType

  `onListPositionalParameters`

- ## Constructor Details

  - ### IdAShellCmdAdminEmailAdd

    public IdAShellCmdAdminEmailAdd(com.io7m.repetoir.core.RPServiceDirectoryType inServices)
    Construct a command.
    Parameters:
      `inServices` - The service directory

- ## Method Details

  - ### onListNamedParameters

    public List<com.io7m.quarrel.core.QParameterNamedType<?>> onListNamedParameters()

  - ### onCreateCommand

    protected IdACommandAdminEmailAdd onCreateCommand(com.io7m.quarrel.core.QCommandContextType context)
    Specified by:
      `onCreateCommand` in class `IdAShellCmdAbstractCR<IdACommandAdminEmailAdd,IdAResponseAdminUpdate>`

  - ### onFormatResponse

    protected void onFormatResponse(com.io7m.quarrel.core.QCommandContextType context, IdAResponseAdminUpdate response)
    Specified by:
      `onFormatResponse` in class `IdAShellCmdAbstractCR<IdACommandAdminEmailAdd,IdAResponseAdminUpdate>`